//  broadcast using this tool
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef BUTT_H
#define BUTT_H

#include <alsa/asoundlib.h>
#include "flgui.h"
#include "parseconfig.h" 

#define TEXT_INFO 0
#define TEXT_ERROR 1

#define TIME 0
#define DATA 1

#define CONFIG_FILE "/.buttrc"



typedef struct
{
    char *name;
    
    char *addr;    
	char *pwd;
	unsigned int port;   
    
}server_t;

typedef struct
{
        char *name;
        
        char *desc; //description
		char *genre;
        char *url;
		char *irc;
		char *icq;
		char *aim;
		char *pub;
		char *br;
		char *type;    
    
}icy_t;
    

typedef struct
{
    
    int selected_srv;
    int selected_icy;

    
    struct
    {
        char *srv;
        char *icy;
        char *srv_ent;
        char *icy_ent;        
        unsigned int num_of_srv;
        unsigned int num_of_icy;
                
    }main;
    
    struct
    {        
        char *pcm_dev;
        snd_dev_t **pcm_list;
		unsigned int samplerate;			
		unsigned int resolution;
		snd_pcm_format_t format;
			
        
        unsigned int channel;
		unsigned int bitrate;
		char *codec;
        
    }audio;
    
    struct
    {
        unsigned int channel;
		unsigned int bitrate;
		unsigned int quality;
		char *codec;
		char *filename;
		FILE *fd;
		
    }rec;
    
               
    server_t **srv;
    icy_t **icy;
    
        
    
}config_t;
/*
typedef struct  
{
			
			
			struct 
			{
				
				
			}stream;
			
			struct 
			{				
				int channel;
				int bitrate;
				int quality;
				char *codec;
				char *filename;
				FILE *fd;				
				
			}record;
			
			
			
}audio_t;


typedef struct
{
		char *name;
		char *icy;
		struct
		{
			char *address;
			char *password;
			int port;		
		
		}data;
		
		struct
		{
			char *name;
			char *genre;
			char *url;
			char *irc;
			char *icq;
			char *aim;
			char *pub;
			char *br;
			char *type;
			
		}icy_data;
			
}server_t;	*/



class flgui;

extern flgui *fl_g;
extern char *cfg_path;

/*extern server_t server_settings;
extern audio_t audio_settings;*/
extern config_t cfg;

extern int display_info;	


#endif
